#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 1050;
ll a[N], b[N], c[N], id[N];
int main()
{
    ll ans = 0;
    int n, m;
    scanf("%d%d", &n, &m);
    for (int i = 0; i < n; i++) scanf("%lld%lld%lld", a + i, b + i, c + i), id[i] = i;
    for (int i : {-1, 1})
        for (int j : {-1, 1})
            for (int k : {-1, 1})
            {
                sort(id, id + n, [&](ll l, ll r) {
                    return i * a[l] + j * b[l] + k * c[l] > i * a[r] + j * b[r] + k * c[r];
                });
                ans = max(ans, accumulate(id, id + m, 0ll, [&](ll pre, int cur) {
                              return pre + i * a[cur] + j * b[cur] + k * c[cur];
                          }));
            }
    printf("%lld", ans);
    return 0;
}
